@import 'mixins.scss';
@include font-face('Kanit-Light', 'Kanit-Light', 'serif');
body {
    padding:0;
    margin:0;
}
* {
    //user-select: none;
}
h1, h2, h3, h4, h5, h6 {
    margin: 0;
}

.events-bns {
    width:1105px;
    height:700px;
    font-size:18px;
    position: relative;
    &__bg {
        // background:url("../static/images/background.jpg") top center no-repeat;
        width:100%;
        height:100%;
    }
    &__wrapper {
        width:80%;
        margin:0 auto;
        display:block;
        padding:3em 0;
    }
    &__list {
        padding:0;
        margin:0;
        width: 100%;
        height: 400px;

        .slick-track{
            // display: flex !important;
            width: 100%;
        }

        .slick-slide{
            width: 100%;
        }

        &--item {
            display: inline-block;
            // margin:1em auto;
            text-align: center;
            margin-bottom:3em;
            vertical-align: middle;
            width:20%;
            text-align:center;
            order: unset !important;
            a {
                color:#fff;
                text-align:center;
                text-decoration: none;
                font-family: 'Kanit-Light';
                display:block;
                font-size:1em;
                word-break: break-word;
                img {
                    margin:0 auto;
                    display:block;
                    text-align:center;
                }
            }
        }
    }
    &__bottom {
        display: inline-block;
        vertical-align: middle;
        padding:2em;
        bottom:1em;
        position: absolute;
        left: 0;
        right:0;
        margin-left:auto;
        margin-right:auto;
        width:45%;
        border-radius: 1em;
        background:rgba(255, 255, 255, 0.85);
    }
    &__bottom-list {
        padding:0;
        margin:0 auto;
        text-align:center;
        li {
            display: inline-block;
            vertical-align: middle;
            text-align:center;
            margin:0 1em;
            a {
                display:block;
                img {
                    margin:0 auto;
                    text-align:center;
                    display:block;
                }
            }
        }
    }
}

.events-bns-slide{ 
    &__dot {
        width: 100%;
        margin-left: auto;
        margin-right: auto;
        right: 0;
        text-align: center;
        .swiper-pagination-bullet {
            background:#fff;
            opacity: 0.55;
        }
        .swiper-pagination-bullet-active {
            background:#fff;
            opacity: 1;
        }
    }
}

.iconbutton{

    &__title{
        color: #fff;
        font-size: 14px;
        width: 80%;
        margin: 0 auto;
        -o-text-overflow: ellipsis;
        text-overflow: ellipsis;
        white-space: nowrap;
        overflow: hidden;
    }

}

.loading {
    display: flex;
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: 99;
    justify-content: center;
    align-items:center;
    background-color: rgba(0,0,0,0.8);
    &.close {
        display: none;
    }

}

.swiper-wrapper{
    min-height: 420px;
    width: 100% !important;
}

.slick-dots{
    li{
        button{

            &:before{
                font-size: 12px;
                color: #ffffff;
            }

        }
        &.slick-active{
            button{

                &:before{
                    font-size: 12px;
                    color: #ffffff;
                }
    
            }
        }
        
    }
}